package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZSample0016;
import cn.ibizlab.core.sample.filter.IBIZSample0016SearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZSample0016] 服务对象接口
 */
public interface IIBIZSample0016Service extends IService<IBIZSample0016> {

    boolean create(IBIZSample0016 et);
    void createBatch(List<IBIZSample0016> list);
    boolean update(IBIZSample0016 et);
    void updateBatch(List<IBIZSample0016> list);
    boolean remove(String key);
    void removeBatch(Collection<String> idList);
    IBIZSample0016 get(String key);
    IBIZSample0016 getDraft(IBIZSample0016 et);
    boolean checkKey(IBIZSample0016 et);
    boolean save(IBIZSample0016 et);
    void saveBatch(List<IBIZSample0016> list);
    Page<IBIZSample0016> searchDefault(IBIZSample0016SearchContext context);
    List<IBIZSample0016> selectByIbizsample0014id(String ibizsample0014id);
    void resetByIbizsample0014id(String ibizsample0014id);
    void resetByIbizsample0014id(Collection<String> ids);
    void removeByIbizsample0014id(String ibizsample0014id);
    List<IBIZSample0016> selectByIbizsample0015id(String ibizsample0015id);
    void removeByIbizsample0015id(String ibizsample0015id);
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZSample0016> getIbizsample0016ByIds(List<String> ids);
    List<IBIZSample0016> getIbizsample0016ByEntities(List<IBIZSample0016> entities);
}


